Skip to content

Generate Connector

POST
/api/v1/codegen/connector
curl --request POST \
--url https://example.com/api/v1/codegen/connector \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "resource_id": "example", "execution_mode": "batch", "schedule_cron": "example", "table_configs": [ { "target_name": "example", "pii_suppressed": false, "source_dataset": "example" } ], "connection": { "name": "example", "type": "example", "config": {} }, "connection_ref": "example", "compute_type": "job_cluster", "cluster_config": {}, "encode_artifacts": false }'

Generate all artifacts for a Connector.

Args: connector_input: Connector configuration x_environment_id: Environment ID from header (optional)

Returns: - Connector notebook with watermark column support - Job YAML - Connector configuration - Merged bundle

X-Environment-Id
Any of:
string
Media typeapplication/json
ConnectorFlowInput

Input model for Connector code generation.

object
name
required
Name
string
resource_id
Any of:
string
execution_mode
required
Execution Mode
string
Allowed values: batch live
schedule_cron
Any of:
string
table_configs
required
Table Configs
Array<object>
TableConfig

Table configuration for connectors.

object
target_name
required
Target Name
string
pii_suppressed
Pii Suppressed
boolean
source_dataset
required
Source Dataset
string
connection
required
ConnectionConfig

Configuration for the reusable connection.

object
name
Any of:
string
type
required
Type
string
config
required
Config
object
key
additional properties
any
connection_ref
required
Connection Ref
string
compute_type
Any of:
string
cluster_config
Any of:
object
key
additional properties
any
encode_artifacts
Encode Artifacts
boolean

Successful Response

Media typeapplication/json
CodegenResponse

Standard response for all codegen endpoints.

object
status
Status
string
default: success
Allowed values: success error
artifacts
required
Artifacts
Array<object>
ArtifactOutput

Standard artifact output format.

object
path
required
Path
string
content
required
Content
string
file_type
Any of:
string
encode_artifacts
Encode Artifacts
boolean
metadata
Any of:
object
key
additional properties
any
errors
Errors
Array<string>
Example
{
"status": "success",
"artifacts": [
{
"encode_artifacts": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}